> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Transcript

> Get transcript of a video or short

## Parameters

<ParamField query="url" type="string" required>
  YouTube video or short URL (e.g., `https://www.youtube.com/watch?v=bjVIDXPP7Uk`)
</ParamField>

<ParamField query="language" type="string">
  2 letter language code, ie 'en', 'es', 'fr' etc. If the transcript is not available in the language you specify, the transcript will be null. (e.g., `en`)
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/youtube/transcript?url=https://www.youtube.com/watch?v=bjVIDXPP7Uk" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "videoId": "bjVIDXPP7Uk",
    "type": "video",
    "url": "https://www.youtube.com/watch?v=bjVIDXPP7Uk",
    "transcript": [
      {
        "text": "welcome back to the hell farm and the",
        "startMs": "160",
        "endMs": "1920",
        "startTimeText": "0:00"
      },
      {
        "text": "backyard trails we built these jumps two",
        "startMs": "1920",
        "endMs": "3919",
        "startTimeText": "0:01"
      }
    ],
    "transcript_only_text": "welcome back to the hell farm and the backyard trails...",
    "language": "English"
  },
  "meta": {
    "platform": "youtube",
    "endpoint": "transcript",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.

## Note

Rates and quotas may apply based on your Yoinkit subscription.
